﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <telerik:RadScriptBlock runat="server" ID="RadScriptBlock1">
        <script type="text/javascript">
            function pinChanged(sender, eventArgs) {
                var grid = $find("<%= RadGrid1.ClientID %>");
                var MasterTable = grid.get_masterTableView();

                var button = sender;
                var index = button.get_element().parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.previousSibling.id.split("__")[1]
                var dataitem = MasterTable.get_dataItems()[index];

                if (button.get_checked() == true) {
                    dataitem.set_selected(true);
                }
                else {
                    dataitem.set_selected(false);
                }
            }
        </script>
    </telerik:RadScriptBlock>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1">
        </telerik:RadScriptManager>

        <telerik:RadGrid runat="server" ID="RadGrid1" OnNeedDataSource="RadGrid1_NeedDataSource" ClientSettings-Selecting-AllowRowSelect="true" >
            <MasterTableView>
                <NestedViewTemplate>
                    <asp:Panel ID="NestedViewPanel" runat="server" CssClass="divArtDetailsView">
                        <div class="contactWrap">
                            <table width="100%" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td width="140px">
                                        <asp:Image runat="server" ID="imgArt" />
                                    </td>
                                    <td>Diverse information ska in här, alla artikel extra kopplingar, fritext och lagerstatus
                                    </td>
                                    <td style="vertical-align: top; text-align: right; padding-right: 5px;">
                                        <telerik:RadButton runat="server" ID="btnPinRow" AutoPostBack="false" ButtonType="ToggleButton" ToggleType="CheckBox" Checked="false" OnClientCheckedChanged="pinChanged">
                                            <ToggleStates>
                                                <telerik:RadButtonToggleState Width="32px" IsBackgroundImage="true" ImageUrl="images/pinned.png" />
                                                <telerik:RadButtonToggleState Width="32px" IsBackgroundImage="true" ImageUrl="images/unpinned.png" HoveredImageUrl="images/pinned.png" Selected="false" />
                                            </ToggleStates>
                                        </telerik:RadButton>
                                        <br />
                                        <br />
                                        <telerik:RadNumericTextBox runat="server" ID="txtAnt" Width="45px" NumberFormat-DecimalDigits="0" Value="1"></telerik:RadNumericTextBox>
                                        <telerik:RadButton runat="server" ID="btnAddToCart" Text="Add"></telerik:RadButton>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </asp:Panel>
                </NestedViewTemplate>

            </MasterTableView>
        </telerik:RadGrid>


    </form>
</body>
</html>
